package com.csc.library.command;

import java.util.Iterator;
import java.util.Map;

import com.csc.library.command.util.CommonParameterUtil;
import com.csc.library.request.CommonModeParameter;
import com.csc.library.response.ResponseData;
import com.csc.library.session.DbRecord;
import com.csc.library.session.InitialRecord;

/* read record */
public class Command001 extends CommandRecord<CommonModeParameter>{

	public void execute(CommonModeParameter param) throws Exception {
		try{
			this.sendMessage("Start Command Common Read Record");
			DbRecord rec = new InitialRecord(this.getUProfile()).getDbRecord(param.getTableName());
			rec.setGroupfield(param.getGroupField());
			
			CommonParameterUtil.setKeyRecord(rec, param);
			
			if(rec.search()==1){
				this.sendMessage("Command001 Search Found Data");
				this.setRecord(rec);
			}else{
				this.sendMessage("Command001 Search Not Found Data");
			}
		}catch(Exception e){
			e.printStackTrace();
			this.sendMessage("Exception : "+e.getMessage());
		}
	}
}
