package com.csc.library.command.util;

import java.util.Iterator;
import java.util.Map;

import com.csc.library.request.CommonModeParameter;
import com.csc.library.session.DbRecord;

public class CommonParameterUtil {
	
	public static void setKeyRecord(DbRecord rec , CommonModeParameter param) throws Exception {
		Map<String,String> m = param.getKey(); 
		Iterator it = m.keySet().iterator();
		while(it.hasNext()){
			String key = it.next().toString();
			rec.set(key, m.get(key));
		}
	}
	
	public static void setJsonData(DbRecord rec , CommonModeParameter param) throws Exception {
		Map<String,String> mapJson = param.getJson(); 
		Iterator it = mapJson.keySet().iterator();
		while(it.hasNext()){
			String key = it.next().toString();
			if(!rec.getAllKey().contains(key)){
				rec.set(key, mapJson.get(key));
			}
		}
	}
}
