package com.csc.library.websocket;

import java.io.IOException;
import java.util.HashSet;
import java.util.Set;

import javax.websocket.CloseReason;
import javax.websocket.EndpointConfig;
import javax.websocket.OnClose;
import javax.websocket.OnError;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.PathParam;
import javax.websocket.server.ServerEndpoint;

import com.csc.library.controller.WebSocketCommandController;

@ServerEndpoint(value = "/CSCWS/{login_properties}")
public class WebSocketController {
	private ServerWebSocket serverSocket = null;
	private WebSocketCommandController commandControl = WebSocketCommandController.getInstance();
	//private static final Set<Session> sessions = new HashSet<Session>();
	@OnOpen
	public void open(Session session, EndpointConfig conf,@PathParam("login_properties") String prop) throws IOException {
		serverSocket = ServerWebSocket.getInstance();
		if(serverSocket.registerSession(session, prop)){
			//serverSocket.
		}
		//sessions.add(session);
	} 
	
	@OnClose
    public void close(Session session , CloseReason closeReason) {

	}
	
	@OnError
	public void onError(Throwable error) {
	}
	
	@OnMessage
	public void handleMessage(Session session , String message)  throws IOException{
		/*for(Session ses : sessions){
			ses.getBasicRemote().sendText(message);
		}*/
		commandControl.executeCommand(serverSocket.getCscSession(session), message);
	}
}
