package com.csc.library.factory;

import java.util.List;
import java.util.Map;

import com.csc.library.command.CommandLists;
import com.csc.library.command.CommandRecord;
import com.csc.library.command.CscCommand;
import com.csc.library.response.ResDataImpl;
import com.csc.library.response.ResponseData;

public class ResponseDataFactory {
	private static ResponseDataFactory instance;
	
	private ResponseDataFactory(){}
	
	public static ResponseDataFactory getInstance(){
		if(instance == null){
			instance = new ResponseDataFactory();
		}
		return instance;
	}
	
	public ResponseData createResponseData(CscCommand command){
		/*ResDataImpl resData = null;
		Object result = command.getResult();
		if(result != null){
			if(command instanceof CommandLists){
				resData = new ResDataImpl();
				resData.setDataList((List<Map<String, String>>) result);
			}else if(command instanceof CommandRecord){
				resData = new ResDataImpl();
				resData.setDataRecord((Map<String, String>) result);
			}
		}*/
		ResDataImpl resData = new ResDataImpl();
		command.setResult(resData);
		return resData;
	}
}
